<script lang="ts">
import Vue from 'vue';
import { SlpRow, SlpColumn, SlpContainer } from '../../common/index.vue';

export default Vue.extend({
  name: 'BySolutionListImage',
  components: { SlpColumn, SlpRow, SlpContainer },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="solution-accordeon">
    <SlpContainer>
      <SlpRow class="resources-block-container">
        <div class="solutions-intro__header">
          <SlpTypography tag="h2" variant="heading3"
            >{{ data.title }}
          </SlpTypography>
        </div>
      </SlpRow>
      <SlpColumn />
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.solution-accordeon {
  background-color: $color-surface-700;
  padding-top: $spacing-96;
  padding-bottom: $spacing-96;
  color: #fff;
}
</style>
